//
//  OpenAL.h
//  OpenAL
//
//  Created by mmivi on 22.05.09.
//  Copyright 2009 DeepIT. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "al.h"
#import "alc.h"

#define OpenAL (NSClassFromString(@"_OpenAL"))

@interface _OpenAL : NSObject {}

+ (ALCboolean)alcIsExtensionPresent: (ALCdevice *)device : (const ALCchar *)extname;
+ (ALCenum)alcGetError: (ALCdevice *)device;
+ (ALCchar *)alcGetString: (ALCdevice *)device :(ALCenum)param;
+ (void)alcGetIntegerv: (ALCdevice *)device :(ALCenum)param :(ALCsizei)size :(ALCint *)data;
+ (ALCdevice *)alcCaptureOpenDevice: (const ALCchar *)devicename : (ALCuint)frequency : (ALCenum)format :(ALCsizei)buffersize;
+ (ALCboolean)alcCaptureCloseDevice: (ALCdevice *)device;
+ (void)alcCaptureStart: (ALCdevice *)device;
+ (void)alcCaptureStop: (ALCdevice *)device;
+ (void)alcCaptureSamples: (ALCdevice *) device :(ALCvoid *)buffer :(ALCsizei) samples;

@end
